Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.pattern
Class NamePatternConverter

    java.lang.Object
      org.apache.logging.log4j.core.pattern.AbstractPatternConverter
          org.apache.logging.log4j.core.pattern.LogEventPatternConverter
              org.apache.logging.log4j.core.pattern.NamePatternConverter

All Implemented Interfaces:
  PatternConverter

Direct Known Subclasses:
  ClassNamePatternConverter, LoggerPatternConverter

    public abstract class NamePatternConverter

extends LogEventPatternConverter

Abstract base class for other pattern converters which can return only parts of their name.

Field Summary

Fields inherited from class org.apache.logging.log4j.core.pattern.AbstractPatternConverter
`LOGGER`

Fields inherited from interface org.apache.logging.log4j.core.pattern.PatternConverter
`CATEGORY`

Constructor Summary
`protected` | `NamePatternConverter(String name, String style, String[] options)` Constructor.

Method Summary
`protected String` | `abbreviate(String buf)` Abbreviate name in string buffer.

Methods inherited from class org.apache.logging.log4j.core.pattern.LogEventPatternConverter
`format, format, handlesThrowable`

Methods inherited from class org.apache.logging.log4j.core.pattern.AbstractPatternConverter
`getName, getStyleClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamePatternConverter

    protected NamePatternConverter(String name,
                                   String style,
                                   String[] options)

  Constructor.

  Parameters:
    `name` - name of converter.
    `style` - style name for associated output.
    `options` - options, may be null, first element will be interpreted as an abbreviation pattern.

Method Detail

### abbreviate

    protected final String abbreviate(String buf)

  Abbreviate name in string buffer.

  Parameters:
    `buf` - string buffer containing name.
  Returns:
    The abbreviated name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.